Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163535 - rc.sysinit tries to i18n a command name
Summary: rc.sysinit tries to i18n a command name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On: 151120
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-07-18 17:51 UTC by Bill Nottingham
Modified: 2014-03-17 02:54 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-606
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:57:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:606 qe-ready SHIPPED_LIVE initscripts/hotplug bug fix update 2005-09-28 04:00:00 UTC

Description Bill Nottingham 2005-07-18 17:51:38 UTC
+++ This bug was initially created as a clone of Bug #151120 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
This bug comes from a long date, IIRC. I remember seing it on RedHat9,
maybe before. It's kinda harmless, and maybe no one cared yet.

On line 273 of rc.sysinit, it does:

       action $"Setting clock $CLOCKDEF: `date`" date

Note that the command "date" is inside the $".." text, and so it gets
i18n'ed too. In portuguese, "date" becomes "data", and it spits an
error  on boot time:

       rc.sysinit: data: command not found

I also suspect you don't need the *two* "date" commands on that line,
just to print date on screen.

-Andre



Version-Release number of selected component (if applicable):
initscripts-7.93.5-1

How reproducible:
Always

Steps to Reproduce:
1.Just reboot the machine and watch rc.sysinit run.
    

Actual Results:  I can see the error "rc.sysinit: data: command not
found on line 273".

Expected Results:  The expected result was to see the string "Setting
clock $CLOCKDEF: " followed by the current date and not an error.

Additional info:

Comment 3 Bill Nottingham 2005-07-21 17:42:50 UTC
Fixed in 7.31.25.EL-1.

Comment 4 Red Hat Bugzilla 2005-09-28 15:57:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-606.html



Note You need to log in before you can comment on or make changes to this bug.